curl --request DELETE \
--url 'https://api.stateset.com/api/v1/carts/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"currency": "USD",
"discount_total": "15.00",
"expires_at": "2024-12-16T10:30:00Z",
"id": "770e8400-e29b-41d4-a716-446655440000",
"shipping_total": "9.99",
"status": "active",
"subtotal": "149.98",
"tax_total": "12.00",
"total": "156.97",
"updated_at": "2024-12-09T11:45:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Delete (abandon) a cart
Delete (abandon) a cart
DELETE
/
api
/
v1
/
carts
/
{id}
curl --request DELETE \
--url 'https://api.stateset.com/api/v1/carts/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"currency": "USD",
"discount_total": "15.00",
"expires_at": "2024-12-16T10:30:00Z",
"id": "770e8400-e29b-41d4-a716-446655440000",
"shipping_total": "9.99",
"status": "active",
"subtotal": "149.98",
"tax_total": "12.00",
"total": "156.97",
"updated_at": "2024-12-09T11:45:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Path parameters
string (uuid)
required
Cart ID
Responses
ApiResponse_CartResponse
Cart abandoned
ErrorResponse
Cart not found
curl --request DELETE \
--url 'https://api.stateset.com/api/v1/carts/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"currency": "USD",
"discount_total": "15.00",
"expires_at": "2024-12-16T10:30:00Z",
"id": "770e8400-e29b-41d4-a716-446655440000",
"shipping_total": "9.99",
"status": "active",
"subtotal": "149.98",
"tax_total": "12.00",
"total": "156.97",
"updated_at": "2024-12-09T11:45:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI